//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: 
//
// $NoKeywords: $
//=============================================================================//

#ifndef HUD_UNITVISUALS_H
#define HUD_UNITVISUALS_H
#ifdef _WIN32
#pragma once
#endif

#include "hudelement.h"
#include <vgui_controls/Panel.h>
#include "hl2wars/rts_shareddefs.h"

class CFXQuad2;
class C_AI_BaseNPC;
class C_BuildingBrush;

class CHudUnitVisuals : public CHudElement, public vgui::Panel
{
	DECLARE_CLASS_SIMPLE( CHudUnitVisuals, vgui::Panel );
public:
	CHudUnitVisuals( const char *pElementName );
	//void DrawSelectionCircle( C_BaseEntity *pTarget, const Vector color, Vector origin, int i, bool moving  ) ;
	//void DrawHealthBar( C_AI_BaseNPC *pTarget );
	void			DrawHealthBar( C_BaseEntity *pTarget );
	//bool			ShouldDraw();
	//virtual void LevelShutdown( void );
	void			Reset();

	virtual const char *GetName( void ) { return "HudUnitVisuals"; }

protected:
	virtual void	ApplySchemeSettings( vgui::IScheme *scheme );
	virtual void	Paint();
	virtual void	DrawMouseOverEntity( void );
	//virtual void	OnThink();

private:
	//CFXQuad2				*m_quads[MAXSELECTED];
	EHANDLE					m_pDrawSelectionB;
};

#endif // HUD_UNITVISUALS_H
